Name:           inadyn
Version:        2.12.0
Release:        %autorelease
Summary:        small and simple Dynamic DNS, DDNS, client

License:        GPL-2.0
URL:            https://github.com/troglobit/%{name}
Source:         https://github.com/troglobit/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

    
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libconfuse-devel
BuildRequires:  openssl-devel
BuildRequires:  systemd-units

Requires: libconfuse

%description
By using a DDNS client like inadyn you can register an Internet name with a DDNS provider, like FreeDNS. The DDNS client updates your DNS record periodically and/or on demand when your IP address changes. Inadyn can maintain multiple host records with the same IP address, use a combination of a script, the address from an Internet-facing interface, or default to using the IP address change detector of the DDNS provider.

%prep
%autosetup

%build
%configure --enable-openssl
%make_build

%install
%make_install

%check
make check

%preun
%systemd_preun inadyn.service

%postun
%systemd_postun_with_restart inadyn.service

%files
%{_sbindir}/inadyn
%{_unitdir}/inadyn.service
%{_mandir}/man*/*
%{_docdir}/inadyn/*

%changelog
%autochangelog